# Interface YAxisReferenceObjects

#### Hierarchy

- YAxisReferenceObjects

#####
Index

### Properties

categories
color
displayInLegend
high
id
items
lineStyle
lineType
lineWidth
location
low
shortDesc
svgClassName
svgStyle
text
type
value

## Properties

### categories

categories: string[]

An optional array of category strings corresponding to this reference object. This allows highlighting and filtering of a reference object through interactions with legend sections. If not defined, the reference object id is used.

### color

color: string

The color of the reference object.

### displayInLegend

displayInLegend: string

Defines whether the reference object should be shown in the legend.

### high

high: number

The high value of an area reference object. This property defines a constant value across the entire reference area. See the Help documentation for more information.

### id

id: string

The id of the reference object.

### items

items: object[]

An array of values or an array of objects that define the data for a varying reference object. See the Help documentation for more information.

### lineStyle

lineStyle: string

The line style of the line reference object. Does not apply to area reference objects.

### lineType

lineType: string

The line type of the varying reference object. See the Help documentation for more information.

### lineWidth

lineWidth: number

The width of the line reference object. Does not apply to area reference objects.

### location

location: string

The location of the reference object relative to the data items.

### low

low: number

The low value of an area reference object. This property defines a constant value across the entire reference area. See the Help documentation for more information.

### shortDesc

shortDesc: string

The description of this object. This is used for accessibility and also for customizing the tooltip text.

### svgClassName

svgClassName: string

The CSS style class to apply to the reference object. See the Help documentation for more Information.

### svgStyle

svgStyle: object

The CSS inline style to apply to the reference object. See the Help documentation for more Information.

### text

text: string

The text displayed in the legend for the reference object.

### type

type: string

The type of reference object being shown. See the Help documentation for more information.

### value

value: number

The value of a line reference object. This property defines a constant value across the entire reference object. See the Help documentation for more information.

Generated using TypeDoc